import { _reduceLazy } from "./_reduceLazy";
import { purry } from "./purry";
export function difference() {
    return purry(_difference, arguments, difference.lazy);
}
function _difference(array, other) {
    var lazy = difference.lazy(other);
    return _reduceLazy(array, lazy);
}
(function (difference) {
    function lazy(other) {
        var set = new Set(other);
        return function (value) {
            return set.has(value)
                ? { done: false, hasNext: false }
                : { done: false, hasNext: true, next: value };
        };
    }
    difference.lazy = lazy;
})(difference || (difference = {}));
