import type { Pred, PredIndexed } from "./_types";
/**
 * Counts how many values of the collection pass the specified predicate.
 *
 * **DEPRECATED: equivalent to `R.filter(fn).length` and so will be removed in v2.**
 *
 * @param items The input data.
 * @param fn The predicate.
 * @signature
 *    R.countBy(array, fn)
 * @example
 *    R.countBy([1, 2, 3, 4, 5], x => x % 2 === 0) // => 2
 * @dataFirst
 * @indexed
 * @category Array
 * @deprecated equivalent to `R.filter(fn).length` and so will be removed in v2.
 */
export declare function countBy<T>(items: ReadonlyArray<T>, fn: Pred<T, boolean>): number;
export declare function countBy<T>(fn: Pred<T, boolean>): (array: ReadonlyArray<T>) => number;
export declare namespace countBy {
    /**
     * @deprecated equivalent to `R.filter.indexed(fn).length` and so will be removed in v2.
     */
    function indexed<T>(array: ReadonlyArray<T>, fn: PredIndexed<T, boolean>): number;
    /**
     * @deprecated equivalent to `R.filter.indexed(fn).length` and so will be removed in v2.
     */
    function indexed<T>(fn: PredIndexed<T, boolean>): (array: ReadonlyArray<T>) => number;
}
//# sourceMappingURL=countBy.d.ts.map