import type { NarrowedTo } from "./_types";
/**
 * A function that checks if the passed parameter is a string and narrows its type accordingly
 * @param data the variable to check
 * @signature
 *    R.isString(data)
 * @returns true if the passed input is a string, false otherwise
 * @example
 *    R.isString('string') //=> true
 *    R.isString(1) //=> false
 * @category Guard
 */
export declare function isString<T>(data: T | string): data is NarrowedTo<T, string>;
//# sourceMappingURL=isString.d.ts.map